<?php

namespace AuxCF\Entities\Field\Enum;

use AuxCF\Entities\Settings\Traits\SettingEnumTraits;

enum RepeaterFieldLayoutEnum: string
{
  use SettingEnumTraits;

  case Table = 'table';
  case Block = 'block';
  case Row = 'row';

  public const SETTING_KEY = 'layout';
  public const SETTING_LABEL = 'repeater layout';

  public const DEFAULT = self::Table;
}
